// -*- c++ -*-
// $Id: clearointerp.C,v 1.1.1.1 2005/01/08 04:57:26 olsonse Exp $
/*
 * Copyright 2004-2005 Spencer Olson
 *
 * $Log: clearointerp.C,v $
 * Revision 1.1.1.1  2005/01/08 04:57:26  olsonse
 * Initial CVS import (finally).
 *
 *
 */


#include <dsmc/DSMCData.h>
#include <dsmc/OctreeInterpolator.h>
#include "interp.h"
#include <octave/oct.h>
#include <octave/pager.h>

DEFUN_DLD (clearointerp, args, ,
"  clearointerp(iid)\n"
"  Clear Octree Interpolation Data.\n"
"\n"
"Copyright 2004 Spencer Olson:\n"
"\n"
"  Who knows what to believe with this code yet. :-)\n"
"\n"
"  iid is the id of interpolators as returned by loadointerp\n"
) {
    if (args.length() != 1) {
        print_usage("clearointerp");
        return octave_value();
    }

    /* now create interpolator for each block of data */
    interpolator_vector * interpolators = (interpolator_vector *)((long)(args(0).double_value ()));

    if (!interpolators || !interpolators->testValid()) {
        octave_stdout << "invalid iid" << std::endl;
        print_usage("clearointerp");
        return octave_value();
    }

    /* clean up */
    for (unsigned int i = 0; i < interpolators->i.size(); i++) {
        delete interpolators->i[i];
    }

    delete interpolators;

    return octave_value ();
}
